[web-devel] Re: Call for comments: Yesod 0.2

Simon Michael simon at joyful.com
Thu May 27 23:04:24 EDT 2010

Michael Snoyman <michael at ...> writes:
> Unfortunately, it really does require 6.12. The issue is that we need to
> automatically generate a type instance for "Routes". While 6.10 supports
> type instances, it doesn't include that support in the template haskell.
> If people are interested, I think it would be possible to make the
> Routes type instance dependent upon the template-haskell version number,
> and then users would need to declare it themselves.

Hi Michael, congrats on Yesod 0.2 and the good website updates. Count me
as interested in 6.10 compatibility - I can't require 6.12 for while
yet. FWIW I'm yet not sold on Hamlet's look and feel or in- haskell html
generation, I'd like to give yesod + hstringtemplates another whirl. I am
interested in the extras like your authentication and form support, and
also your relatively light dependencies and the flexibility of wai.

More information about the web-devel mailing list